# Get an Item's Holders

### Get an item's holders

## Returns an item's holders and their balances

<mark style="color:blue;">`GET`</mark> `https://api.alturanft.com/api/v2/item/holders/:address/:tokenId`

Takes an address and tokenId and returns all the holders for a particular item and their balance.&#x20;

Sorted by descending balance (largest holder first)

#### Path Parameters

| Name                                      | Type    | Description                   |
| ----------------------------------------- | ------- | ----------------------------- |
| address<mark style="color:red;">\*</mark> | String  | The item's collection address |
| tokenId<mark style="color:red;">\*</mark> | Integer | The item's tokenId            |

#### Query Parameters

| Name          | Type    | Description                                                                                                                                                                                                     |
| ------------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| perPage       | Integer | <p>The number of users to return </p><p></p><p>(default: 24)</p>                                                                                                                                                |
| page          | Integer | <p>The offset for returned users. Calculated as (page - 1) \* perPage</p><p></p><p>(default: 1)</p>                                                                                                             |
| includeListed | Boolean | <p>If user's who have their item listed should be included<br><br>(listed NFTs are still owned by the user, however on the blockchain they are held by a marketplace smart contract)<br><br>(default: true)</p> |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "holders": [
    {
      "address": "0xf1151f738581f4f576ca28eef4844e7d91faad1b",
      "balance": 3,
      "name": "The Altura OG ",
      "profilePic": "https://ipfs.io/ipfs/QmSTV9SZaSZn7Wyh4cM9q7fXovuLSitSiDFHRTgUQYBXJZ",
      "profilePicUrl": "https://altura-marketplace-1.s3.us-east-2.amazonaws.com/0xf1151f738581f4f576ca28eef4844e7d91faad1b_ad34c68d-b90c-4cca-a254-4266607ef1eb.png"
    },
    {
      "address": "0xf5504b784f3981a08f7463c3dfcb83a846328f6e",
      "balance": 3,
      "name": "@pujken",
      "profilePic": "https://ipfs.io/ipfs/Qmee3iEAShitMw8h93UiJaY4wrG9VhSchAT3H5b5ob56Rf",
      "profilePicUrl": "https://altura-marketplace-1.s3.us-east-2.amazonaws.com/0xf5504b784f3981a08f7463c3dfcb83a846328f6e_55da08bc-a18a-4386-b34a-dc04948abd53.png"
    },
    ...
   ],
  "count": 93
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-an-items-holders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
